<template>

  <div>

    <v-card>
      <v-tabs
          v-model="tab"
          background-color="indigo"
          centered
          dark
          icons-and-text
      >
        <v-tabs-slider></v-tabs-slider>

        <v-tab href="#tab-1">
          Nuevos
          <v-icon>mdi-alert-decagram</v-icon>
        </v-tab>

        <v-tab href="#tab-2">
          Solicitar documentos
          <v-icon>mdi-file-document</v-icon>
        </v-tab>

        <v-tab href="#tab-3">
          Revision
          <v-icon>mdi-file-find</v-icon>
        </v-tab>

        <v-tab href="#tab-4">
          Determinación
          <v-icon>mdi-forum</v-icon>
        </v-tab>

        <v-tab href="#tab-5">
          Finalizados
          <v-icon>mdi-checkbox-marked-circle</v-icon>
        </v-tab>
      </v-tabs>


      <v-tabs-items v-model="tab">
        <v-tab-item
          value="tab-1"
        >
          <v-card flat>
            <v-data-table
                :headers="headers"
                :items="desserts"
                :items-per-page="5"

            >

              <template v-slot:item.detalle="{item}">

                <v-icon @click="modal()">mdi-message-text-outline</v-icon>

              </template>

              <template v-slot:item.doc="{item}">

                <v-icon @click="modaldoc()">mdi-clipboard-arrow-up-outline</v-icon>

              </template>


            </v-data-table>
          </v-card>
        </v-tab-item>

        <v-tab-item
            value="tab-2"
        >
          <v-card flat>
            <v-card-text>2</v-card-text>
          </v-card>
        </v-tab-item>

        <v-tab-item
            value="tab-3"
        >
          <v-card flat>
            <v-card-text>3</v-card-text>
          </v-card>
        </v-tab-item>

        <v-tab-item
            value="tab-4"
        >
          <v-card flat>
            <v-card-text>4</v-card-text>
          </v-card>
        </v-tab-item>

        <v-tab-item
            value="tab-5"
        >
          <v-card flat>
            <v-card-text>5</v-card-text>
          </v-card>
        </v-tab-item>
      </v-tabs-items>

    </v-card>

    <v-dialog v-model="detallesiniestro" width="750px" height="auto">
      <v-card class="mx-auto">
        <v-app-bar color="#e3fcfd">
          <v-toolbar-title class="title font-weight-light">Detalle de siniestro #246213</v-toolbar-title>
        </v-app-bar>
        <v-card-text>
          <br />
          <v-list debes dense>
            <v-row>


              <v-col>

                <v-icon size="40">

                  mdi-information

                </v-icon>

              </v-col>

              <v-col md="10">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <h3 class="font-weight-light display-1">Datos Clave</h3>



                    </v-list-item-title>

                  </v-list-item-content>
                </v-list-item>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="12" md="6">


                <v-list-item>





                  <v-list-item-content>
                    <v-list-item-title>
                      <strong style="margin-right: 10px">Reporte Isa:</strong>
                    </v-list-item-title>
                    1459
                  </v-list-item-content>
                </v-list-item>
              </v-col>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong style="margin-right: 10px">Sin. Aseguradora</strong>
                    </v-list-item-title>
                    2019006404
                  </v-list-item-content>
                </v-list-item>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong>Referencia Reporte</strong>
                    </v-list-item-title>
                    2012891
                  </v-list-item-content>
                </v-list-item>
              </v-col>


            </v-row>
          </v-list>

          <v-list debes dense>
            <v-row>

              <v-col md="2">

                <v-icon size="40">

                  mdi-shield-account

                </v-icon>

              </v-col>


              <v-col md="10">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <h3 class="font-weight-light display-1">Datos del asegurado</h3>



                    </v-list-item-title>

                  </v-list-item-content>
                </v-list-item>
              </v-col>


            </v-row>
            <v-row>
              <v-col cols="12" md="6">


                <v-list-item>

                  <v-list-item-content>
                    <v-list-item-title>
                      <strong style="margin-right: 10px">Aseguradora:</strong>
                    </v-list-item-title>
                    Hdi Seguros
                  </v-list-item-content>
                </v-list-item>
              </v-col>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong style="margin-right: 10px">Asegurado</strong>
                    </v-list-item-title>
                    Juan Perez
                  </v-list-item-content>
                </v-list-item>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong>Poliza</strong>
                    </v-list-item-title>
                    219-731
                  </v-list-item-content>
                </v-list-item>
              </v-col>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong>Fecha de siniestro</strong>
                    </v-list-item-title>
                    Jueves 8 de octubre 2020
                  </v-list-item-content>
                </v-list-item>
              </v-col>

            </v-row>

            <v-row>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong>No. Siniestro</strong>
                    </v-list-item-title>
                    20190000006404
                  </v-list-item-content>
                </v-list-item>
              </v-col>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong>Ubicacion</strong>
                    </v-list-item-title>
                    Av.Paseo de los leones 2349, Cumbres 2do Sector
                  </v-list-item-content>
                </v-list-item>
              </v-col>

            </v-row>

            <v-row>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong>Contacto</strong>
                    </v-list-item-title>
                    Jorge Mireles
                  </v-list-item-content>
                </v-list-item>
              </v-col>


            </v-row>
          </v-list>

          <v-list debes dense>
            <v-row>

              <v-col>

                <v-icon size="40">

                  mdi-shield-check

                </v-icon>

              </v-col>

              <v-col md="10">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <h3 class="font-weight-light display-1">Datos de la Poliza</h3>



                    </v-list-item-title>

                  </v-list-item-content>
                </v-list-item>
              </v-col>


            </v-row>
            <v-row>
              <v-col cols="12" md="6">


                <v-list-item>





                  <v-list-item-content>
                    <v-list-item-title>
                      <strong style="margin-right: 10px">Numero de poliza:</strong>
                    </v-list-item-title>
                    219-731
                  </v-list-item-content>
                </v-list-item>
              </v-col>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong style="margin-right: 10px">Ramo</strong>
                    </v-list-item-title>
                    Daños
                  </v-list-item-content>
                </v-list-item>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong>Tipo</strong>
                    </v-list-item-title>
                    Paquete Familiar
                  </v-list-item-content>
                </v-list-item>
              </v-col>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong>Cobertura afectada</strong>
                    </v-list-item-title>
                    Incendio
                  </v-list-item-content>
                </v-list-item>
              </v-col>

            </v-row>
          </v-list>


        </v-card-text>

      </v-card>
    </v-dialog>

    <v-dialog v-model="modaldocumentos" width="300px" height="auto">
      <v-card class="mx-auto">
        <v-app-bar color="#e3fcfd">
          <v-toolbar-title class="title font-weight-light">Solicitar Documentos</v-toolbar-title>
        </v-app-bar>
        <v-card-text>

          <v-row justify="center">
            <v-col md="12">
              <v-checkbox
                  v-model="selected"
                  label="Documento 1"
                  value="D1"
                  color="grey"
              ></v-checkbox>

            </v-col>

            <v-col md="12">
              <v-checkbox
                  v-model="selected"
                  label="Documento 2"
                  value="D2"
                  color="grey"
              ></v-checkbox>


            </v-col>

            <v-col md="12">
              <v-checkbox
                  v-model="selected"
                  label="Documento 3"
                  value="D3"
                  color="grey"
              ></v-checkbox>

            </v-col>


            <v-col md="12">

              <v-checkbox
                  v-model="selected"
                  label="Doumento 4"
                  value="D4"
                  color="grey"
              ></v-checkbox>
            </v-col>


          </v-row>




        </v-card-text>

        <v-card-actions>
          <v-btn depressed @click="modaldocumentos=false">
            Solicitar
          </v-btn>

          <v-btn depressed @click="modaldocumentos=false">
            Cancelar
          </v-btn>
        </v-card-actions>

      </v-card>
    </v-dialog>

  </div>
</template>

<script>
export default {
  name: "Ajustador",
  data() {
    return {
      detallesiniestro:false,
      modaldocumentos:false,
      headers: [
        {
          text: 'Cliente',
          align: 'start',
          sortable: false,
          value: 'cliente',

        },
        { text: 'Fecha de reporte', value: 'fechareporte' ,  },

        { text: 'Detalle', value: 'detalle', },
        { text: 'Solicitar documentos', value: 'doc', },
      ],
      desserts: [
        {
          cliente:'Jorge Mireles',
          fechareporte:'07-10-2020',

        },
        {
          cliente:'Juan Perez',
          fechareporte:'07-10-2020',

        },
        {
          cliente:'Jorge Mireles',
          fechareporte:'07-10-2020',

        },

      ],

      tab: null,
      text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.',

    }

  },
  methods:{
    modal:function(){
      this.detallesiniestro = true;
    },
    modaldoc:function (){
      this.modaldocumentos = true;
    },
  },
}
</script>







